#include "main.h"

void EINT0_INT(void)	interrupt 0
{
//	P4 = 0x80;
	TCON &= 0xFD;		//清除外部中断0标志位	IE0 = 0;
	
}

void EINT1_INT(void)	interrupt 2
{
//	P4 = 0x40;
	TCON &= 0xF7;		//清除外部中断1标志位		IE1 = 0;
}

void T1_INT(void)		interrupt 3
{
	
	
}

void Uart0_INT(void) interrupt 4
{
	uint8_t temp=0;
	
	if(SCON & 0x01)		//接收完成
	{
		SCON &= 0xFE;	

		temp = SBUF;
		sendChar(temp);	

	}
	if(SCON & 0x02)		//发送完成
	{
		SCON &= 0xFD;
	}
	
}

void PWM1_INT(void)	interrupt 5
{

}

void T2_INT(void)	interrupt 6			//P10引脚输出1kHz的方波
{
	T2CON &= 0x7F; // 清除溢出标志位		T2溢出标志位清除
	P1_0 = ~P1_0;

}

void T3_INT(void)	interrupt 7
{
	T3CON &= 0x7F;		//清空TF3标志位
//	P4 = 0x00;
}

void SPI_INT(void)	interrupt 9
{
	
	
}

void CLKERR_INT(void)	interrupt 10
{
	
	
}

void PWM2_INT(void)		interrupt 11
{
	
	
}

void EINT4_INT(void)	interrupt 12
{
	P4 = 0x20;
	INTFLG &= 0xFE;		//清除外部中断40中断标志位

}

void PWM3_INT(void)	interrupt 13
{
	
	
}

void PWM0_INT(void)		interrupt 14
{
	
	
}

//void REMOTE_INT(void)		interrupt 15
//{
//	
//	
//}

